%
% ver 1  06/2017 within EPOS-IP project.
%
% DESCRIPTION: Program to create the cavity roof level GDF file in the Matlab format.
%
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'EPSG:4326';%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'WET'; %input('TimeZone (char) = ');
[Description] = 'Description of dataset'; %input('Description of data (char) = ');

[FieldDescription] = {
    'Name','Profile name of cavity roof measurement'
    'Lat','Latitude of cavity roof'
    'Long','Longitude of cavity roof'
    'Elevation','Elevation of cavity roof in meters above sea level'
    };
[FieldType] = {
    'Name',3
    'Lat',24
    'Long',14
    'Elevation',4
    };
[FieldUnit] = {
    'Name','char'
    'Lat','deg'
    'Long','deg'
    'Elevation','m'
    };
[d] = struct();



k=1
d(k).Name='ProfileA_1 2008/02/01';
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];


k=2
d(k).Name='ProfileA_2 2008/05/01';
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];


k=3
d(k).Name='ProfileB_3 2008/02/01';
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];


k=4
d(k).Name='ProfileB_4 2008/05/01';
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];

clear k 
save('GDF_EpisodeName_cavity_roof_level_example.mat')
