%
% ver 1  06/2017 within EPOS-IP project.
%
% DESCRIPTION: Program to create the Ground water level GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Time of measurment'
    'PGR1','Ground water level at PGR1 above sea level'
    'PGR2','Ground water level at PGR2 above sea level'
    'PGR3','Ground water level at PGR3 above sea level'
    };
[FieldType] = {
    'Date',5
    'PGR1',32
    'PGR2',32
    'PGR3',32
    };
[FieldUnit] = {
    'Date','datenum'
    'PGR1','m'
    'PGR2','m'
    'PGR3','m'
    };
[d] = struct();

d.Date = [datenum({
'2010-01-01'
'2010-01-02'
'2010-01-03'
'2010-01-04'
'2010-01-05'},'yyyy-mm-dd')];



d.PGR1 = [
250.12
255.12
260.12
265.12
270.12
];

d.PGR2 = [
260.13
265.13
270.13
275.13
280.13
];

d.PGR3 = [
255.14
260.14
265.14
270.14
275.14
];

save('GDF_EpisodeName_Ground_Water_Level_example.mat')