%
% ver 1  03/2017 within EPOS-IP project.
%
% DESCRIPTION: Program to create the Insitu deformation GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'EPSG:4326';%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'WET'; %input('TimeZone (char) = ');
[Description] = 'Three point anchored borheole extensometer in the central borehole (Lat = 48.67677967, Lon = 6.32130470) above, within and below the Dolomite layer at 118 m (Ext1), 106 m (Ext1) and 102 m (Ext1) depth above sea level, respectively'; %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Station_codename','Code name of the station/point of measurement of anchorded broheole extensometer'
    'Date','Date of measurement for each station'
    'Lat','Initial latitude of station/measurement point'
    'Long','Initial  longitude of station/measurement point'
    'DefIZ','Measurement of deformation in vertical direction relative to initial station position (downward negative; upward positive)'
    'Deph','Depth of each station from surface'
    'Elevation','Elevation of each station in meters above sea level'
    };
[FieldType] = {
    'Station_codename',3
    'Date',5
    'Lat',24
    'Long',14
    'DefIZ',1
    'Deph',14
    'Elevation',2
    };
[FieldUnit] = {
    'Station_codename','char'
    'Date','datenum'
    'Lat','deg'
    'Long','deg'
    'DefIZ','m'
    'Deph','km'
    'Elevation','m'
    };
[d] = struct();

[A1, A2, A3, A4, A5] = textread('input_data_station_info.txt','%s %f %f %f %f','delimiter',';','headerlines',1);

[T1, D1, T2, D2, T3, D3] = textread('input_data_insitu_deformation.txt','%s %f %s %f %s %f','delimiter',';','headerlines',1);
T=[T1 T2 T3];
D=[D1 D2 D3];

for k=1:length(A1)
    d(k).Station_codename=A1{k};
    d(k).Date=datenum(T(:,k));
    d(k).Lat=A2(k,1);
    d(k).Long=A3(k,1);
    d(k).DefIz=D(:,k);
    d(k).Depth=A4(k,1);
    d(k).Elevation=A5(k,1);
end

clear k A1 A2 A3 A4 A5 T1 T2 T3 D1 D2 D3 T D

save('GDF_EpisodeName_Insitu_deformation.mat')
